<?php

namespace Ulmus\Attribute\Property;

use Ulmus\Attribute\Attribute;
use Ulmus\Query;

#[\Attribute(\Attribute::TARGET_PROPERTY | \Attribute::IS_REPEATABLE)]
class OrWhere extends Where {
    public function __construct(
        public string|\Stringable|array $field,
        public mixed $value = null,
        public null|string $operator = null,
        public null|string $condition = Query\Where::CONDITION_OR,
    ) {

        $this->key = Attribute::handleArrayField($this->key);
    }
}