<?php

namespace Ulmus\Entity\Sqlite;

use Ulmus\EntityCollection;

use Ulmus\{Attribute\Obj\Table};
use Ulmus\Attribute\Property\{Field, Filter, FilterJoin, Relation, Join, Virtual, Where};

#[Table(name: "sqlite_master")]
class Schema
{
    use \Ulmus\EntityTrait;

    #[Field\Id]
    public ? string $name;

    #[Field]
    public ? string $type;

    #[Field(name: "tbl_name")]
    public ? string $tableName;

    #[Field]
    public ? int $rootpage;

    #[Field]
    public ? string $sql;

    #[Relation("oneToMany", key: "tableName", foreignKey: "tableName", entity: Column::class)]
    public EntityCollection $columns;
}